package com.zxdmy.excite.system.service.cloud.account;

import com.zxdmy.excite.common.entity.PageList;
import com.zxdmy.excite.system.entity.cloud.account.CloudCompany;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zxdmy.excite.system.entity.cloud.account.CloudDepartment;
import com.zxdmy.excite.system.entity.req.account.ReqCompany;
import com.zxdmy.excite.system.entity.vo.account.CompanyVo;

import java.util.List;

/**
 * <p>
 * 企业表 服务类
 * </p>
 *
 * @author ss
 * @since 2026-01-24
 */
public interface ICloudCompanyService extends IService<CloudCompany> {
    PageList<CompanyVo> queryByPage(Integer current, Integer size, ReqCompany data);
    CompanyVo getByData(ReqCompany data);
    int saveData(ReqCompany data);
    int updateData(ReqCompany data);
    int deleteById(String id);
    List<CompanyVo> queryByData();
    List<CloudCompany> getList();
}
